mod Mtexbt

rem 
  \para \bf  Binary Trees.  \end 

rem 
  \para \bf  Arithmetization.  \end 

appldisp/0 Tex_f0_bt_e
  Op(Ent('bull'),0)

appldisp/3 Tex_f3_bt_nd
  Frac(Arg(0),1,Infix(Arg(1),25,3,Op(Ent('mid'),0),Arg(2)))

rem 
  \para \bf  Basic operations and predicates.  \end 

appldisp/2 Tex_p2_bt_in
  Infix(Arg(0),25,0,Op(Ent('isin'),0),Arg(1))

appldisp/2 Tex_p2_bt_in_b
  Infix(Arg(0),25,0,Subsup(Op(Ent('isin'),0),75,Id(0,'b',0),None),Arg(1))

appldisp/1 Tex_f1_bt_sz
  Fenced(Op(Ent('mid'),0),Arg(0),Op(Ent('mid'),0))

appldisp/1 Tex_f1_bt_sz_b
  Subsup(Fenced(Op(Ent('mid'),0),Arg(0),Op(Ent('mid'),0)),75,Id(0,'b',0),None)

appldisp/1 Tex_f1_bt_dp
  Std('d',0)

appldisp/2 Tex_p2_bt_isomorphic
  Infix(Arg(0),25,0,Op(Ent('sime'),0),Arg(1))

appldisp/2 Tex_p2_bt_isomorphic_b
  Infix(Arg(0),25,0,Subsup(Op(Ent('sime'),0),75,Id(0,'b',0),None),Arg(1))

appldisp/2 Tex_p2_bt_subtree
  Infix(Arg(0),25,0,Op(Ent('ltrie'),0),Arg(1))

appldisp/2 Tex_p2_bt_subtree_b
  Infix(Arg(0),25,0,Subsup(Op(Ent('ltrie'),0),75,Id(0,'b',0),None),Arg(1))

rem 
  \para \bf  Traversals.  \end 

appldisp/1 Tex_f1_bt_preorder
  Std('Preorder',0)

appldisp/1 Tex_f1_bt_inorder
  Std('Inorder',0)

appldisp/1 Tex_f1_bt_postorder
  Std('Postorder',0)

rem 
  \para \bf  Binary search trees.  \end 

appldisp/2 Tex_p2_bt_inbst_s
  Infix(Arg(0),25,0,Subsup(Op(Ent('isin'),0),75,Id(0,'s',0),None),Arg(1))

appldisp/2 Tex_p2_bt_ltb
  Infix(Arg(0),25,0,Op(Ent('prurel'),0),Arg(1))

rem 
  \para \bf  Braun trees.  \end 

appldisp/2 Tex_f2_bt_lookup
  Prefix(70,2,Arg(0),Fenced(Op('[',0),Arg(1),Op(']',0)))

appldisp/3 Tex_f3_bt_update
  Prefix(70,2,Arg(0),
         Fenced(Op('[',0),Infix(Arg(1),30,3,Op(Ent('colone'),0),Arg(2)),Op(']',0)))

